---
title: Xamarin.Android error/warning ADB0010
description: ADB0010 error/warning code
ms.date: 07/04/2018
---
# Xamarin.Android error/warning ADB0010

## Issue

This message indicates that `adb` (Android Debug Bridge) reported an
unhandled/unexpected error during APK installation. `adb` is part of
the Android SDK and is used internally by Xamarin.Android to
communicate with Android emulators and devices.

## Solution

To learn more about `adb`, see the [Android documentation][adb].

Errors reported by `adb` are outside of Xamarin.Android's
control, so a general error code of ADB0010 is used for unexpected
errors related to APK installation. An error message of the form
`[INSTALL_FAILED_*]` will emit this error code.

[adb]: https://developer.android.com/studio/command-line/adb

## Implementation notes

Note that nothing in the open source xamarin-android repository
emits ADB0010, as features such as debugging and "fast deployment"
are implemented in the proprietary Xamarin.Android additions.
