---
title: Xamarin.Android warning XA0113
description: XA0113 warning code
ms.date: 02/28/2019
---
# Xamarin.Android warning XA0113

## Issue

As of August 1st 2019, new applications and application updates uploaded
to the Google Play store need to target v9.0 (API 28) or above.

## Solution

If you are seeing this warning, you should update the
`$(TargetFrameworkVersion)` of your projects to be v9.0 or above.

If you are not targeting the Google Play store and wish to hide these
warnings, you can make use of the `/warnasmessage:XA0113` command line
switch.  Alternatively, add

```xml
<PropertyGroup>
    <MSBuildWarningsAsMessages>XA0113</MSBuildWarningsAsMessages>
</PropertyGroup>
```

to your *.csproj* file.

[Google Play's target API level requirement](https://developer.android.com/distribute/best-practices/develop/target-sdk)
